#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Author : Th.L.
# Content: wato plugin for snmp check 'cisco_wlc_mem'
#          to configure waring/critical levels
#
#
register_check_parameters(
    subgroup_os,
    'cisco_wlc_mem',
    _('Cisco WLC memory usage'),
    Tuple(
        title=_('Cisco WLC used memory thresholds'),
        elements=[
            Integer(title=_('warning at'), unit=_('%'), default_value=50),
            Integer(title=_('critical at'), unit=_('%'), default_value=70),
        ]
    ),
    None,
    None,
)
